/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package misc;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import pipe.analysis.Matrix;
import vanted.petrinetelements.NodePN;



public class InvariantHelper {
	public static List<HashMap<NodePN, Double>> getAllInvariantNodes(List nodes, Matrix invMatrix) {
		if (nodes == null || nodes.size() == 0)
			return null;
		
		if (invMatrix == null || invMatrix.getColumnDimension() == 0 || invMatrix.getRowDimension() == 0)
			return null;
		
		List<HashMap<NodePN, Double>> nodeList = new ArrayList<HashMap<NodePN, Double>>();
		HashMap<NodePN, Double> tempMap = new HashMap<NodePN, Double>();
		for (int i = 0; i < invMatrix.getColumnDimension(); i++) {
			tempMap = new HashMap<NodePN, Double>();
			for (int n = 0; n < invMatrix.getRowDimension(); n++) 
				tempMap.put((NodePN) nodes.get(n), invMatrix.get(n, i));
			
			nodeList.add(tempMap);
		}
		return nodeList;
	}
}
