<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"															  
							  xmlns:my="http://www.informatik.hu-berlin.de/top/pnml/ptNetb"
							  exclude-result-prefixes="my">
   
   <xsl:output method="xml" encoding="iso-8859-1" omit-xml-declaration="no" indent="yes" version="1.0"/>
   
   <xsl:template match="/">		
		<xsl:element name="pnml" namespace="http://www.informatik.hu-berlin.de/top/pnml/ptNetb">			
			<xsl:apply-templates select="my:pnml"/>			
		</xsl:element> 
	</xsl:template>
   
   <xsl:template match="my:pnml">	
		<xsl:apply-templates select="my:net"/>
   </xsl:template>
   
    <xsl:template match="my:net">		
		<xsl:element name="net" namespace="http://www.informatik.hu-berlin.de/top/pnml/ptNetb">				
			<xsl:attribute name="type">
				<xsl:value-of select="@type"/>				
			</xsl:attribute>	
			<xsl:attribute name="id">
				<xsl:value-of select="@id"/>	
			</xsl:attribute>		
			<xsl:apply-templates select="my:place"/>
			<xsl:apply-templates select="my:transition"/>		
			<xsl:apply-templates select="my:arc"/>			
		</xsl:element>
	</xsl:template>
		       
	<xsl:template match="my:place">
		<!--<xsl:message>place</xsl:message>	remove -->
		<xsl:element name="place">         			
			<xsl:attribute name="id">
				<xsl:value-of select="@id"/>			
			</xsl:attribute>			
			<xsl:apply-templates select="my:name"/>
			<xsl:apply-templates select="my:initialMarking"/>
			<xsl:apply-templates select="my:capacity"/>								         
			<xsl:apply-templates select="my:graphics"/> 
			<xsl:apply-templates select="my:toolspecific"/>
		</xsl:element>
	</xsl:template>
   
	<xsl:template match="my:transition">
		<xsl:element name="transition">
			<xsl:attribute name="id">
				<xsl:value-of select="@id"/>			
			</xsl:attribute>
			<xsl:apply-templates select="my:id"/>
			<xsl:apply-templates select="my:name"/>
			<xsl:apply-templates select="my:graphics"/> 
		</xsl:element>
	</xsl:template>
   
	<xsl:template match="my:arc">	
		<xsl:element name="arc">	
			<xsl:attribute name="id">
				<xsl:value-of select="@id"/>			
			</xsl:attribute>		
			<xsl:attribute name="source">
				<xsl:value-of select="@source"/>
			</xsl:attribute>
			<xsl:attribute name="target">
				<xsl:value-of select="@target"/>
			</xsl:attribute>
			<xsl:apply-templates select="my:inscription"/>			
			<xsl:apply-templates select="my:toolspecific"/>
		</xsl:element>
	</xsl:template>
           
	<xsl:template match="my:inscription">
		<xsl:element name="inscription">
			<text><xsl:value-of select="my:text"/></text>
		</xsl:element>		
	</xsl:template>
		   
	<xsl:template match="my:inscriptionContinuous">
		<xsl:element name="inscriptionContinuous">
			<text><xsl:value-of select="my:text"/></text>
		</xsl:element>				
	</xsl:template>
	
	<xsl:template match="my:name">
		<xsl:element name="name">
			<text><xsl:value-of select="my:text"/></text>
		</xsl:element>		
	</xsl:template> 
	
	<xsl:template match="my:initialMarking">
		<xsl:element name="initialMarking">
			<text><xsl:value-of select="my:text"/></text>
		</xsl:element>		
	</xsl:template> 
	
	<xsl:template match="my:capacity">
		<xsl:element name="capacity">
			<text><xsl:value-of select="my:text"/></text>
		</xsl:element>		
	</xsl:template>
	
	<xsl:template match="my:graphics">		
		<xsl:element name="graphics">
			<xsl:apply-templates select="my:position"/> 
			<xsl:apply-templates select="my:dimension"/> 
		</xsl:element>		
	</xsl:template> 
  
	<xsl:template match="my:position">
		<xsl:element name="position">
			<xsl:attribute name="x">
				<xsl:value-of select="@x"/>							
			</xsl:attribute>
			<xsl:attribute name="y">
				<xsl:value-of select="@y"/>					
			</xsl:attribute>
		</xsl:element>
	</xsl:template> 
  
	<xsl:template match="my:dimension">
		<xsl:element name="dimension">
			<xsl:attribute name="x">
				<xsl:value-of select="@x"/>					
			</xsl:attribute>
			<xsl:attribute name="y">
				<xsl:value-of select="@y"/>					
			</xsl:attribute>
		</xsl:element>
	</xsl:template> 
	
	<xsl:template match="my:toolspecific">
		<xsl:element name="toolspecific">
			<xsl:attribute name="tool">
				<xsl:value-of select="@tool"/>						
			</xsl:attribute>
			<xsl:attribute name="version">
				<xsl:value-of select="@version"/>					
			</xsl:attribute>
			<!--for places-->
			<xsl:apply-templates select="my:tokenType"/>
			<xsl:apply-templates select="my:initialMarkingContinuous"/>
			<xsl:apply-templates select="my:capacityContinuous"/>
			<!--for arcs-->
			<xsl:apply-templates select="my:inscriptionContinuous"/>
		</xsl:element>			
	</xsl:template>
		
	<xsl:template match="my:tokenType">
		<xsl:element name="tokenType">
			<text><xsl:value-of select="my:text"/></text>
		</xsl:element>		
	</xsl:template>
		
	<xsl:template match="my:initialMarkingContinuous">
		<xsl:element name="initialMarkingContinuous">
			<text><xsl:value-of select="my:text"/></text>
		</xsl:element>		
	</xsl:template>
		
	<xsl:template match="my:capacityContinuous">
		<xsl:element name="capacityContinuous">
			<text><xsl:value-of select="my:text"/></text>
		</xsl:element>		
	</xsl:template>	
</xsl:stylesheet>
