<?xml version="1.0" encoding="ISO-8859-1"?>

		  
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
								xmlns:my="http://www.informatik.hu-berlin.de/top/pnml/ptNetb"
							  xmlns="http://www.informatik.hu-berlin.de/top/pnml/ptNetb"
							  exclude-result-prefixes="my"><!-- new -->
							  
	<!--<xsl:namespace-alias stylesheet-prefix="my" result-prefix="xsl"/>--> <!-- new -->
				  
<!--<xsl:stylesheet version="1.0" xmlns:xsl="http://www.informatik.hu-berlin.de/top/pnml/ptNetb">-->
	<xsl:output method="xml" encoding="iso-8859-1" omit-xml-declaration="no" indent="yes" version="1.0"/>

	<xsl:template match="/">
		<xsl:message>Matched root node</xsl:message>	<!-- remove -->
		
		<xsl:element name="pnml">
			<xsl:message>element pnml</xsl:message>	<!-- remove -->
			<xsl:apply-templates select="my:pnml"/>			
		</xsl:element> 
	</xsl:template>
	
	<xsl:template match="my:pnml">
		<xsl:message>pnml drop</xsl:message>	<!-- remove -->
		<xsl:element name="net">
			<xsl:attribute name="type">
				<xsl:value-of select="net/@type"/>
			</xsl:attribute> 
			<xsl:attribute name="id">
				<xsl:value-of select="net/@id"/>
			</xsl:attribute>			          
			<xsl:apply-templates select="net/place">
				<xsl:sort select="@id" data-type="text"/>
			</xsl:apply-templates>
			<xsl:apply-templates select="net/transition">
				<xsl:sort select="@id" data-type="text"/>
			</xsl:apply-templates>
			<xsl:apply-templates select="net/arc">
				<xsl:sort select="@id" data-type="text"/>
			</xsl:apply-templates>        		 
		</xsl:element>
	</xsl:template>
  
   
	<xsl:template match="net/place">
		<xsl:element name="place">
			<xsl:call-template name="place-transition"/>		 
			<xsl:call-template name="initialMarking"/>
			<xsl:call-template name="capacity"/>
			<xsl:call-template name="placeMarkingParameter"/>         
		</xsl:element>
	</xsl:template>
 
  
	<xsl:template match="net/transition">
		<xsl:element name="transition">
			<xsl:call-template name="place-transition"/>		 
      <!--   <xsl:call-template name="orientation"/> -->
        <!-- <xsl:call-template name="myrate"/>
         <xsl:call-template name="timed"/>
         <xsl:call-template name="infinite-server"/>
         <xsl:call-template name="priority"/>        
         <xsl:call-template name="transitionRateParameter"/> -->
		</xsl:element>
	</xsl:template>
   
	<xsl:template name="place-transition">
		<xsl:attribute name="id">
			<xsl:value-of select="@id"/>
		</xsl:attribute>
		<xsl:call-template name="label"/>		 		 
		<xsl:call-template name="graphics"/>		
	</xsl:template>
   
	<xsl:template match="net/arc">
		<xsl:element name="arc">
			<xsl:attribute name="id">
				<xsl:value-of select="@id"/>
			</xsl:attribute>
			<xsl:attribute name="source">
				<xsl:value-of select="@source"/>
			</xsl:attribute>
			<xsl:attribute name="target">
				<xsl:value-of select="@target"/>
			</xsl:attribute>
			<xsl:call-template name="label"/>
			<xsl:call-template name="inscription"/>
		</xsl:element>
	</xsl:template>
 
   
	<xsl:template name="graphics">
		<xsl:element name="graphics">
			<xsl:if test="(string-length(@positionX) > 0) and (string-length(@positionY) > 0)">
				<xsl:element name="position">
					<xsl:attribute name="x">
						<xsl:value-of select="@positionX"/>
					</xsl:attribute>
					<xsl:attribute name="y">
						<xsl:value-of select="@positionY"/>
					</xsl:attribute>
				</xsl:element>				
			</xsl:if>
			<xsl:if test="(string-length(@dimensionX) > 0) and (string-length(@dimensionY) > 0)">
				<xsl:element name="dimension">
					<xsl:attribute name="x">
						<xsl:value-of select="@dimensionX"/>
					</xsl:attribute>
					<xsl:attribute name="y">
						<xsl:value-of select="@dimensionY"/>
					</xsl:attribute>
				</xsl:element>
			</xsl:if>
		</xsl:element>
	</xsl:template>
   
   
	<xsl:template name="name">
		<xsl:element name="name">
			<xsl:element name="text">
				<xsl:value-of select="@name"/>
			</xsl:element>
			<xsl:element name="graphics">
				<xsl:if test="(string-length(@nameOffsetX) > 0)and (string-length(@nameOffsetY) > 0)">
					<xsl:element name="offset">
						<xsl:attribute name="x">
							<xsl:value-of select="@nameOffsetX"/>
						</xsl:attribute>
						<xsl:attribute name="y">
							<xsl:value-of select="@nameOffsetY"/>
						</xsl:attribute>
					</xsl:element>
				</xsl:if>
			</xsl:element>
		</xsl:element>
	</xsl:template>
   
   
	<xsl:template name="label">      
		<xsl:if test="string-length(@label)>0">
			<xsl:element name="name">
				<xsl:element name="text">
					<xsl:value-of select="@label"/>
				</xsl:element>      
			</xsl:element>      
		</xsl:if>
	</xsl:template>
   
   
	<xsl:template name="initialMarking">
		<xsl:if test="string-length(@initialMarking)>0">
			<xsl:element name="initialMarking">
				<xsl:element name="text">
					<xsl:value-of select="@initialMarking"/>
				</xsl:element>
			</xsl:element>
		</xsl:if>
	</xsl:template>
      
	<xsl:template name="inscription">
		<xsl:if test="string-length(@inscription)>0">
			<xsl:element name="inscription">
				<xsl:element name="text">
					<xsl:value-of select="@inscription"/>
				</xsl:element>		  
			</xsl:element>			
		</xsl:if>				
		<xsl:if test="string-length(@inscriptionContinuous)>0">
			<xsl:call-template name="toolspecificArc"/>
		</xsl:if>				
	</xsl:template>
      
	<xsl:template name="toolspecificArc">
		<xsl:element name="toolspecific">
			<xsl:attribute name="tool">
				<xsl:text>VANTED</xsl:text>
			</xsl:attribute>
			<xsl:attribute name="version">
				<xsl:text>2.0</xsl:text>
			</xsl:attribute>							
			<xsl:call-template name="tokenType"/>
			<xsl:call-template name="inscriptionContinuous"/>			
		</xsl:element>
	</xsl:template> 
	  
	<xsl:template name="inscriptionContinuous">
		<xsl:if test="string-length(@inscriptionContinuous)>0">			
			<xsl:element name="inscriptionContinuous">
				<xsl:element name="text">
					<xsl:value-of select="@inscriptionContinuous"/>
				</xsl:element>					
			</xsl:element>   
		</xsl:if>
	</xsl:template> 
	  
	<xsl:template name="capacity">
		<xsl:if test="string-length(@capacity)>0">
			<xsl:element name = "capacity">
				<xsl:element name = "text">
					<xsl:value-of select="@capacity"/>
				</xsl:element>
			</xsl:element>
		</xsl:if>
	</xsl:template>  
   
	<xsl:template name="placeMarkingParameter">
		<xsl:element name="toolspecific">
			<xsl:attribute name="tool">
				<xsl:text>VANTED</xsl:text>
			</xsl:attribute>
			<xsl:attribute name="version">
				<xsl:text>2.0</xsl:text>
			</xsl:attribute>
			<xsl:call-template name="tokenType"/>			
			<xsl:call-template name="capacityContinuous"/>					
			<xsl:call-template name="initialMarkingContinuous"/>						
		</xsl:element>  
	</xsl:template> 
	
	<xsl:template name="tokenType">
		<xsl:if test="string-length(@tokenType)>0">			
				<xsl:element name="tokenType">
					<xsl:element name="text">
						<xsl:value-of select="@tokenType"/>
					</xsl:element>					
				</xsl:element>   
			</xsl:if>
	</xsl:template> 
	
	<xsl:template name="capacityContinuous">
		<xsl:if test="string-length(@capacityContinuous)>0">			
				<xsl:element name="capacityContinuous">
					<xsl:element name="text">
						<xsl:value-of select="@capacityContinuous"/>
					</xsl:element>					
				</xsl:element>   
			</xsl:if>
	</xsl:template>
   
   <xsl:template name="initialMarkingContinuous">
		<xsl:if test="string-length(@initialMarkingContinuous)>0">			
				<xsl:element name="initialMarkingContinuous">
					<xsl:element name="text">
						<xsl:value-of select="@initialMarkingContinuous"/>
					</xsl:element>					
				</xsl:element>   
			</xsl:if>
	</xsl:template>   
</xsl:stylesheet>