/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package pnml.writer;

import java.io.IOException;
import java.io.OutputStream;

import vanted.petrinetelements.PetriNet;
import vanted.petrinetelements.misc.PetriNetType;

public class PNMLBuilder {
	
	private final PetriNet pn;

	public PNMLBuilder(PetriNet pn) {
		this.pn = pn;	
	}
	
	public void createPNML(OutputStream output) throws IOException{
		
		AbstractPNMLParser parser=null;
		
		switch(PetriNetType.getType2(pn.getGraph())){
			case DISCRETE: parser = new PNMLParserDiscrete(); 
				break;
			case CONTINUOUS: parser = new PNMLParserContinuous();
				break;
			default: parser = new PNMLParserDiscrete();
				break;			
		}
		
		parser.createPNML(pn, output);
	}	
}
