/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package pnml.writer;

import java.io.IOException;
import java.io.OutputStream;

import org.graffiti.graph.Graph;
import org.graffiti.graph.Node;
import org.graffiti.plugin.io.OutputSerializer;

import vanted.petrinetelements.PetriNet;



// TODO: Auto-generated Javadoc
/**
 * The Class XML_PNML_Writer.
 * 
 * @author Kevin Pucknat
 */
public class XML_PNML_Writer implements OutputSerializer {

	/* (non-Javadoc)
	 * @see org.graffiti.plugin.io.OutputSerializer#write(java.io.OutputStream, org.graffiti.graph.Graph)
	 */
	@Override
	public void write(OutputStream stream, Graph g) throws IOException {
		long i=1;
		for(Node node : g.getNodes()){
			node.setID(i++);
		}
		
		PetriNet pn = new PetriNet();
		pn.createPetriNet(g, false);

		PNMLBuilder builder = new PNMLBuilder(pn);
		builder.createPNML(stream);
		
	}

	/**
	 * Specify all extensions you are able to write.
	 *
	 * @return the extensions
	 */
	@Override
	public String[] getExtensions() {
		return new String[] { ".pnml" };
	}

	/**
	 * Description of the file format, which will be shown in the file dialog as
	 * <p>.
	 *
	 * @return the file type descriptions
	 */
	@Override
	public String[] getFileTypeDescriptions() {
		return new String[] { "Petri-Net ML" };
	}

}
