/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted;

// TODO: Auto-generated Javadoc
/**
 * The Class Parser tries to parse objects into int or double.
 * 
 * @author Kevin Pucknat
 */
public class Parser {
	
	/**
	 * Try to parse the string to an int, if that dosen't work try to parse the string to a double, if that dosen't work return null.
	 *
	 * @param str the str
	 * @return the object
	 */
	public static Object parse(String str){
		try{
			return Integer.parseInt(str);
		}catch(NumberFormatException e1){	
			try{			
				return Double.parseDouble(str);
			}catch(NumberFormatException e2){
				return null;
			}				
		}
	}
	
	/**
	 * Try to parse the string to an int, if that dosen't work return the string.
	 *
	 * @param str the str
	 * @return the object
	 */
	public static Object parse2Int(String str){		
		try{
			return Integer.parseInt(str);
		}catch(NumberFormatException e1){			
			return str;							
		}
	}
	
	
	/**
	 * Try to parse the string to an int, if that dosen't work return -1.
	 *
	 * @param str the str
	 * @return the int
	 */
	public static int parse2Int2(String str){		
		try{
			return Integer.parseInt(str);
		}catch(NumberFormatException e1){			
			return -1;							
		}
	}
	

	/**
	 * Try to parse the string to a double, if that dosen't work return -1.
	 *
	 * @param str the str
	 * @return the double
	 */
	public static double parse2Double(String str){		
		try{
			return Double.parseDouble(str);
		}catch(NumberFormatException e1){			
			return -1;							
		}
	}
	
	
	/** 
	 * Try to parse the string to an int, if that dosen't work try to parse the string to a double. If the double could be an int (e.g. 2.0) return an int, else return a double.
	 * Should the string not be an int or a double return null.
	 *
	 * @param str the str
	 * @return the object
	 */
	public static Object parseAttr(String str){		
		try{
			return Integer.parseInt(str);
		}catch(NumberFormatException e1){	
			try{
				double d = Double.parseDouble(str);
				if(d==(int)d)
					return new Integer((int)d); 
				else
					return new Double(d);
			}catch(NumberFormatException e2){
				return null;
			}				
		}
	}
}
