/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.attribute;

import java.awt.event.ActionListener;

import javax.swing.SpinnerNumberModel;
import javax.swing.event.ChangeEvent;

import org.graffiti.plugin.Displayable;

import vanted.attribute.token.TokenAttributeContinuous;
import vanted.gui.button.JSpinnerDouble;

// TODO: Auto-generated Javadoc
/**
 * The Class AbstractAttributeContinuousEditor handles the continuous abstract attribute editor.
 *
 * @author Kevin Pucknat
 */
public abstract class AbstractAttributeContinuousEditor extends AbstractAttributeEditor implements ActionListener{	
	
	/**
	 * Instantiates a new abstract attribute continuous editor.
	 *
	 * @param disp the disp
	 */
	public AbstractAttributeContinuousEditor(Displayable disp) {
		super(disp);		
	}			
	
	/**
	 * Gets the spinner double token.
	 *
	 * @param value the value
	 * @return the spinner double token
	 */
	protected JSpinnerDouble getSpinnerDoubleToken(double value){
		return new JSpinnerDouble(new SpinnerNumberModel(value, 0.01, Double.MAX_VALUE, 0.1d), TokenAttributeContinuous.decimal);
	}
	
	/* (non-Javadoc)
	 * @see javax.swing.event.ChangeListener#stateChanged(javax.swing.event.ChangeEvent)
	 */
	@Override
	public void stateChanged(ChangeEvent e) {
		String v = ((JSpinnerDouble)e.getSource()).getValue(TokenAttributeContinuous.decimal).toString();
		if(v!=null)
			value = Double.valueOf(v);		
	}
}
