/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.attribute;

import javax.swing.JButton;
import javax.swing.JSpinner;

import org.graffiti.plugin.Displayable;

import vanted.petrinetelements.ArcWeight;

// TODO: Auto-generated Javadoc
/**
 * The Class ArcWeightAttributeEditor another way to change the arc-weight in the VANTED gui.
 *
 * @author Kevin Pucknat
 */
public class ArcWeightAttributeEditor extends AbstractAttributeContinuousEditor {		
	
	/**
	 * Instantiates a new arc-weight attribute editor.
	 *
	 * @param disp the disp
	 */
	public ArcWeightAttributeEditor(Displayable disp) {
		super(disp);			
		spinner = getSpinnerDoubleToken(1);	
	}	
	
	/* (non-Javadoc)
	 * @see org.graffiti.plugin.editcomponent.ValueEditComponent#setEditFieldValue()
	 */
	public void setEditFieldValue() {
		jp.removeAll();		
		if (showEmpty) 
			((JSpinner.DefaultEditor) this.spinner.getEditor()).getTextField().setText(EMPTY_STRING);	
		else{
			ArcWeightAttribute aa = (ArcWeightAttribute) getDisplayable();		
			if(aa.getArcWeight()!=null){					
				double value = Double.parseDouble(aa.getArcWeight().getValue().toString());
				if(value==0)return;
				spinner = getSpinnerDoubleToken(value);										
				spinner.addChangeListener(this);								
				btn = new JButton("remove");
				btn.addActionListener(this);				
			}
		}
		buildGUI();
	}	

	/* (non-Javadoc)
	 * @see org.graffiti.plugin.editcomponent.ValueEditComponent#setValue()
	 */
	public void setValue() {
		if(showEmpty)
			((ArcWeightAttribute) getDisplayable()).removeArcWeight();
		else
			if(value!=0)
				((ArcWeightAttribute) getDisplayable()).addArcWeight(new ArcWeight(value));
	}
}
