/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.attribute;

import javax.swing.JButton;
import javax.swing.JSpinner;

import org.graffiti.plugin.Displayable;

import vanted.petrinetelements.Capacity;

// TODO: Auto-generated Javadoc
/**
 * The Class CapacityAttributeEditor another way to change the capacity in the VANTED gui.
 *
 * @author Kevin Pucknat
 */
public class CapacityAttributeEditor extends AbstractAttributeContinuousEditor {	
	
	/**
	 * Instantiates a new capacity attribute editor.
	 *
	 * @param disp the disp
	 */
	public CapacityAttributeEditor(Displayable disp) {
		super(disp);	
		spinner = getSpinnerDoubleToken(1);	
	}	
	
	/* (non-Javadoc)
	 * @see org.graffiti.plugin.editcomponent.ValueEditComponent#setEditFieldValue()
	 */
	public void setEditFieldValue() {
		jp.removeAll();		
		
		if (showEmpty) 
			((JSpinner.DefaultEditor) this.spinner.getEditor()).getTextField().setText(EMPTY_STRING);				
		else{
			CapacityAttribute ca = (CapacityAttribute) getDisplayable();
			if(ca.getCapacity()!=null){			
				double value = Double.parseDouble(ca.getCapacity().getValue().toString());
				if(value==0)return;
				spinner = getSpinnerDoubleToken(value);					
				spinner.addChangeListener(this);
				btn = new JButton("remove");
				btn.addActionListener(this);
							
			}
		}	
		buildGUI();
	}
		

	/* (non-Javadoc)
	 * @see org.graffiti.plugin.editcomponent.ValueEditComponent#setValue()
	 */
	public void setValue() {
		if(showEmpty)
			((CapacityAttribute) getDisplayable()).removeCapacity();				
		else			
			if(value!=0)
				((CapacityAttribute) getDisplayable()).addCapacity(new Capacity(value));
	}
}
