/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.attribute.token;

import javax.swing.JButton;
import javax.swing.JSpinner;

import org.graffiti.plugin.Displayable;

import vanted.attribute.AbstractAttributeContinuousEditor;
import vanted.petrinetelements.AbstractToken;
import vanted.petrinetelements.TokenContinuous;

// TODO: Auto-generated Javadoc
/**
 * The Class TokenAttributeContinuousEditor another way to change the number of continuous tokens in the VANTED gui.
 *
 * @author Kevin Pucknat
 */
public class TokenAttributeContinuousEditor extends AbstractAttributeContinuousEditor {
	
	/** The attr. */
	TokenAttributeContinuous attr;
	
	/**
	 * Instantiates a new token attribute continuous editor.
	 *
	 * @param disp the disp
	 */
	public TokenAttributeContinuousEditor(Displayable disp) {
		super(disp);	
		spinner = getSpinnerDoubleToken(1);		
	}	
	
	/* (non-Javadoc)
	 * @see org.graffiti.plugin.editcomponent.ValueEditComponent#setEditFieldValue()
	 */
	public void setEditFieldValue() {
		jp.removeAll();
				
		if (showEmpty) 
			((JSpinner.DefaultEditor) this.spinner.getEditor()).getTextField().setText(EMPTY_STRING);
		else{
			TokenAttributeContinuous ta = (TokenAttributeContinuous) getDisplayable();
			if (ta.getTokens().size() > 0) {		
				attr=ta;
				for (AbstractToken t : ta.getTokens()) {				
					double value = ((TokenContinuous)t).getValue();
					if(value==0)return;
					spinner=getSpinnerDoubleToken(value);
					spinner.addChangeListener(this);				
					btn = new JButton("remove");
					btn.addActionListener(this);
				}
			}				
		}
		buildGUI();		
	}
		

	/* (non-Javadoc)
	 * @see org.graffiti.plugin.editcomponent.ValueEditComponent#setValue()
	 */
	public void setValue() {
		if(showEmpty)
			((TokenAttributeContinuous) getDisplayable()).removeAllTokens();			
		else		
			if(attr!=null && attr.getTokens().size()>0 && value!=0)
				((TokenAttributeContinuous) getDisplayable()).changeTokenValue(attr.getTokens().get(0), value);
	}
}
