/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.attribute.token;

import info.clearthought.layout.TableLayout;

import java.util.ArrayList;
import java.util.List;

import javax.swing.JComponent;
import javax.swing.JPanel;

import org.graffiti.plugin.Displayable;
import org.graffiti.plugin.editcomponent.AbstractValueEditComponent;

import vanted.petrinetelements.AbstractToken;
import vanted.petrinetelements.TokenDiscrete;

// TODO: Auto-generated Javadoc
/**
 * The Class TokenAttributeDiscreteEditorAll another way to change the number of discrete tokens in the VANTED gui.
 *
 * @author Kevin Pucknat
 */
public class TokenAttributeDiscreteEditorAll extends AbstractValueEditComponent {
	
	/** The jp. */
	private final JPanel jp;	
	
	/** The token comp. */
	private List<TokenAttributeDiscreteEditorOne> tokenComp;
	
	/**
	 * Instantiates a new token attribute discrete editor all.
	 *
	 * @param disp the disp
	 */
	public TokenAttributeDiscreteEditorAll(Displayable disp) {
		super(disp);
		jp = new JPanel();
		jp.setOpaque(false);
		jp.setLayout(TableLayout.getLayout(TableLayout.FILL, TableLayout.FILL));
	}	
		
	/* (non-Javadoc)
	 * @see org.graffiti.plugin.editcomponent.ValueEditComponent#getComponent()
	 */
	public JComponent getComponent() {
		return jp;
	}

	/* (non-Javadoc)
	 * @see org.graffiti.plugin.editcomponent.ValueEditComponent#setEditFieldValue()
	 */
	public void setEditFieldValue() {
		jp.removeAll();		
		
		TokenAttributeDiscrete ta = (TokenAttributeDiscrete) getDisplayable();		
		if (ta.getTokens().size() > 0) {				

			tokenComp = new ArrayList<TokenAttributeDiscreteEditorOne>();
	
			for (AbstractToken t : ta.getTokens()) {
				TokenAttributeDiscreteEditorOne tt = new TokenAttributeDiscreteEditorOne((TokenDiscrete)t); 
				tokenComp.add(tt);		
			}
			
			List<JComponent> c = new ArrayList<JComponent>();
			for(int j=0; j<tokenComp.size(); j++){
				c.add(tokenComp.get(j).getComponent());
			}
				
			jp.add(TableLayout.getMultiSplitVertical(c, TableLayout.FILL, 3),"0,0");
		}	
	}

	
	/* (non-Javadoc)
	 * @see org.graffiti.plugin.editcomponent.ValueEditComponent#setValue()
	 */
	public void setValue() {
		List<TokenAttributeDiscreteEditorOne> temp = new ArrayList<TokenAttributeDiscreteEditorOne>();
		for(TokenAttributeDiscreteEditorOne t : tokenComp){
			if(t.getShowEmpty()){
				((TokenAttributeDiscrete)getDisplayable()).removeAnyToken();
				temp.add(t);
			}
		}
		
		for(TokenAttributeDiscreteEditorOne t : temp){
			tokenComp.remove(t);
		}
	}
}
