/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.attribute.token;

import info.clearthought.layout.TableLayout;

import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.JPanel;
import javax.swing.JSpinner;
import javax.swing.SpinnerNumberModel;

import org.graffiti.plugin.editcomponent.AbstractValueEditComponent;

import vanted.petrinetelements.TokenDiscrete;


// TODO: Auto-generated Javadoc
/**
 * The Class TokenAttributeDiscreteEditorOne another way to change the number of one discrete token in the VANTED gui.
 *
 * @author Kevin Pucknat
 */
public class TokenAttributeDiscreteEditorOne extends AbstractValueEditComponent implements ActionListener{
	
	/** The jp. */
	private JComponent jp;
	
	/** The spinner. */
	private JSpinner spinner;
	
	/** The btn. */
	private JButton btn;
	
	/** The token. */
	private final TokenDiscrete token;	
	
	/**
	 * Instantiates a new token attribute discrete editor one.
	 *
	 * @param t the t
	 */
	public TokenAttributeDiscreteEditorOne(TokenDiscrete t) {
		this.token = t;
		jp = new JPanel();
		jp.setLayout(TableLayout.getLayout(TableLayout.FILL, TableLayout.FILL));
		spinner = getSpinnerIntegerToken((t).getValue()); 	
		spinner.setMinimumSize(new Dimension(0, 20));
		spinner.setPreferredSize(new Dimension(100, 20));
		spinner.setMaximumSize(new Dimension(2000, 20));
		spinner.setEnabled(false);
		btn = new JButton("remove");
		btn.addActionListener(this);
		
		jp.add(TableLayout.getSplit(spinner, btn, TableLayout.FILL, TableLayout.FILL), "0,0");
	}
	
	/**
	 * Gets the spinner integer token.
	 *
	 * @param value the value
	 * @return the spinner integer token
	 */
	private JSpinner getSpinnerIntegerToken(int value){		
		return new JSpinner(new SpinnerNumberModel(value, 1, 1, 1)); 
	}

	/* (non-Javadoc)
	 * @see org.graffiti.plugin.editcomponent.ValueEditComponent#getComponent()
	 */
	@Override
	public JComponent getComponent() {
		return jp;
	}

	
	/*
	 * @see org.graffiti.plugin.editcomponent.AbstractValueEditComponent#setShowEmpty(boolean)
	 */
	/* (non-Javadoc)
	 * @see org.graffiti.plugin.editcomponent.AbstractValueEditComponent#setShowEmpty(boolean)
	 */
	@Override
	public void setShowEmpty(boolean showEmpty) {
		if (this.showEmpty != showEmpty) {
			super.setShowEmpty(showEmpty);
		}
		
		this.setEditFieldValue();
	}
	
	/* (non-Javadoc)
	 * @see org.graffiti.plugin.editcomponent.ValueEditComponent#setEditFieldValue()
	 */
	@Override
	public void setEditFieldValue() {
		if (showEmpty) {				
			((JSpinner.DefaultEditor) spinner.getEditor()).getTextField().setText(EMPTY_STRING);
		}else{
			spinner = getSpinnerIntegerToken((token).getValue()); 	
			spinner.setMinimumSize(new Dimension(0, 20));
			spinner.setPreferredSize(new Dimension(100, 20));
			spinner.setMaximumSize(new Dimension(2000, 20));
			spinner.setEnabled(false);
			btn = new JButton("remove");
			btn.addActionListener(this);
			
			jp.add(TableLayout.getSplit(spinner, btn, TableLayout.FILL, TableLayout.FILL), "0,0");
		}
	}

	/* (non-Javadoc)
	 * @see org.graffiti.plugin.editcomponent.ValueEditComponent#setValue()
	 */
	@Override
	public void setValue() {	
	}

	/* (non-Javadoc)
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	@Override
	public void actionPerformed(ActionEvent e) {
		if(showEmpty)
			setShowEmpty(false);
		else
			setShowEmpty(true);				
	}
}
