/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.gui.button;

import vanted.petrinetelements.NodeShape;

// TODO: Auto-generated Javadoc
/**
 * The listener interface for receiving IPNButton events.
 * The class that is interested in processing a IPNButton
 * event implements this interface, and the object created
 * with that class is registered with a component using the
 * component's <code>addIPNButtonListener<code> method. When
 * the IPNButton event occurs, that object's appropriate
 * method is invoked.
 *
 * @see IPNButtonEvent
 * @author Kevin Pucknat
 */
public interface IPNButtonListener {
	
	/**
	 * Check.
	 *
	 * @param shape the shape
	 */
	void check(NodeShape shape);
}
