/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.gui.button;

import java.text.DecimalFormat;
import java.text.NumberFormat;
import java.text.ParseException;

import javax.swing.JFormattedTextField;
import javax.swing.JSpinner;
import javax.swing.SpinnerModel;
import javax.swing.text.DefaultFormatterFactory;
import javax.swing.text.NumberFormatter;

// TODO: Auto-generated Javadoc
/**
 * The Class JSpinnerDouble is a customized JSpinner which prettifies the decimal numbers.
 *
 * @author Kevin Pucknat
 */
public class JSpinnerDouble extends JSpinner{	
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Instantiates a new j spinner double.
	 *
	 * @param model the model
	 * @param decimal the decimal
	 */
	public JSpinnerDouble(SpinnerModel model, String decimal) {
		super(model);
		decimal(decimal);		
	}
	
	/**
	 * Decimal.
	 *
	 * @param decimal the decimal
	 */
	private void decimal(String decimal){
		if(decimal==null || decimal.isEmpty())return;
		JFormattedTextField jftf = ((JSpinner.DefaultEditor)this.getEditor()).getTextField();
		DefaultFormatterFactory  ffa = (DefaultFormatterFactory)jftf.getFormatterFactory();
		((NumberFormatter)ffa.getDefaultFormatter()).setFormat(new DecimalFormat(decimal));
	}
	
	/**
	 * Sets the decimal.
	 *
	 * @param decimal the new decimal
	 */
	public void setDecimal(String decimal){
		decimal(decimal);
	}

	/**
	 * Gets the value.
	 *
	 * @param decimal the decimal
	 * @return the value
	 */
	public Object getValue(String decimal) {
		if(decimal==null)super.getValue();
		NumberFormat formatter = new DecimalFormat(decimal);
		String txt = formatter.format(getModel().getValue());
		Number number = 0;
		Double d = new Double(0);
		try {
			number = NumberFormat.getNumberInstance().parse(txt);
			d = number.doubleValue();				
		} catch (ParseException e) {				
			e.printStackTrace();
		}
		return d;
	}
}
