/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.gui.button;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ArrayList;
import java.util.List;

import javax.swing.JButton;

import org.AttributeHelper;
import org.graffiti.editor.MainFrame;
import org.graffiti.graph.Node;

import vanted.petrinetelements.NodeShape;

// TODO: Auto-generated Javadoc
/**
 * The Class PNButton gui component button.
 *
 * @author Kevin Pucknat
 */
public class PNButton extends JButton implements IPNButtonListener, ActionListener {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/** The listener. */
	private final List<IPNButtonListener> listener = new ArrayList<IPNButtonListener>();
	
	/** The shape. */
	private final NodeShape shape;
	
	
	/**
	 * Instantiates a new pN button.
	 *
	 * @param shape the shape
	 */
	public PNButton(NodeShape shape) {		
		super(shape.name());
		this.shape = shape;
		addActionListener(this);
	}
	
	/**
	 * Adds the listener.
	 *
	 * @param listener the listener
	 */
	public void addListener(IPNButtonListener listener) {
		this.listener.add(listener);
	}
	
	/* (non-Javadoc)
	 * @see vanted.gui.button.IPNButtonListener#check(vanted.petrinetelements.NodeShape)
	 */
	@Override
	public void check(NodeShape shape) {
		if (!shape.getTxt().equals(this.shape.getTxt()))
			setSelected(false);		
	}
	
	/* (non-Javadoc)
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	@Override
	public void actionPerformed(ActionEvent e) {
		this.setSelected(true);
		
		for (int i = 0; i < listener.size(); i++) {
			listener.get(i).check(shape);
		}
		
		if (MainFrame.getInstance().getActiveEditorSession() != null)
			for (Node node : MainFrame.getInstance().getActiveEditorSession().getSelectionModel().getActiveSelection().getNodes()) 				
				AttributeHelper.setShape(node, this.shape.getTxt());			
	}	
}
