/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.petrinetelements;

import java.awt.Color;
import java.util.List;

import simulation.Simulator;
import vanted.petrinetelements.cpn.Marking;

// TODO: Auto-generated Javadoc
/**
 * The Interface Library.
 */
public interface Library {
	
	/**
	 * Parse to library.
	 *
	 * @param petriNet the petri net
	 * @return the library
	 */
	public Library parse2Lib(PetriNet petriNet);
	
	/**
	 * Gets the marking.
	 *
	 * @return the marking
	 */
	public double[] getMarking();
	
	/**
	 * Gets the marking2.
	 *
	 * @return the marking2
	 */
	public Marking getMarking2();
	
	/**
	 * Fire transition.
	 *
	 * @param transition the transition
	 */
	public void fireTransition(Transition transition);
	
	/**
	 * Fire transitions.
	 *
	 * @param transitions the transitions
	 */
	public void fireTransitions(List<Transition> transitions);
	
	/**
	 * Sets the enabled transition color.
	 *
	 * @param color the new enabled transition color
	 */
	public void setEnabledTransitionColor(Color color);
	
	/**
	 * Color enabled transitions.
	 *
	 * @param color the color
	 */
	public void colorEnabledTransitions(boolean color);
	
	/**
	 * Highlight enabled transitions delay.
	 *
	 * @param ms the ms
	 */
	public void highlightEnabledTransitionsDelay(int ms);
	
	/**
	 * Show token flow.
	 *
	 * @param show the show
	 */
	public void showTokenFlow(boolean show);
	
	/**
	 * Write2 file.
	 *
	 * @param write the write
	 */
	public void write2File(boolean write);
	
	/**
	 * Gets the simulator.
	 *
	 * @return the simulator
	 */
	public Simulator getSimulator();
}
