/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.petrinetelements;

// TODO: Auto-generated Javadoc
/**
 * The Enum NodeShape.
 */
public enum NodeShape {
	
	/** The Transition. */
	Transition("rectangle"), 
 /** The Place. */
 Place("circle");
	
	/**
	 * Instantiates a new node shape.
	 *
	 * @param shape the shape
	 */
	NodeShape(String shape) {
		txt = shape;
	}
	
	/** The txt. */
	private String txt;
	
	/** The place strings. */
	private static String[] placeStrings = new String[]{Place.txt, "oval", "ellipsenodeshape"};
	
	/** The transition strings. */
	private static String[] transitionStrings = new String[]{Transition.txt, "rectangularnodeshape"};
	
	/**
	 * Gets the txt.
	 *
	 * @return the txt
	 */
	public String getTxt() {
		return txt;
	}		
	
	/**
	 * Checks if a string belongs to a place.
	 *
	 * @param str the str
	 * @return true, if is place
	 */
	public static boolean isPlace(String str){			
		for(int i=0; i<placeStrings.length; i++){
			if(str.contains(placeStrings[i]))
				return true;
		}
		
		return false;
	}
	
	/**
	 * Checks if a string belongs to a transition.
	 *
	 * @param str the str
	 * @return true, if is transition
	 */
	public static boolean isTransition(String str){
		for(int i=0; i<transitionStrings.length; i++){
			if(str.contains(transitionStrings[i]))
				return true;
		}
		
		return false;
	}
}
