/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.petrinetelements;

import org.graffiti.graph.Edge;

// TODO: Auto-generated Javadoc
/**
 * The Class OutArc for arc handling, where the arc is an outgoing arc of a transition.
 *
 * @author Kevin Pucknat
 */
public class OutArc extends AbstractArc{	
	
	/**
	 * Instantiates a new out arc.
	 *
	 * @param transition the transition
	 * @param place the place
	 * @param edge the edge
	 */
	public OutArc(Transition transition, Place place, Edge edge) {
		super(transition, place, edge);
		transition.addOutArc(this);
		place.addInArc(this);
	}
	
	/**
	 * Checks if the arc is an ingoing arc.
	 *
	 * @return false, if the arc is an ingoing arc
	 */
	public boolean isInArc(){
		return false;
	}
}
