/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.petrinetelements;

import java.util.ArrayList;

import org.graffiti.graph.Node;

// TODO: Auto-generated Javadoc
/**
 * The Class PlaceList is a helper class for places.
 */
public class PlaceList extends ArrayList<Place>{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/* (non-Javadoc)
	 * @see java.util.ArrayList#contains(java.lang.Object)
	 */
	@Override
	public boolean contains(Object o) {
		if(o instanceof Node){
			Node n = (Node)o;			
			for(Place place : this){
				if(place.getNode().equals(n))
					return true;
			}
		}
		return false;
	}

	/* (non-Javadoc)
	 * @see java.util.ArrayList#indexOf(java.lang.Object)
	 */
	@Override
	public int indexOf(Object o) {
		if(o instanceof Node){
			Node n = (Node)o;	
			int i=0;
			for(Place place : this){
				if(place.getNode().equals(n))
					return i;
				i++;
			}
		}

		return -1;
	}

	/* (non-Javadoc)
	 * @see java.util.AbstractList#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object o) {
		if(o instanceof Node){
			Node n = (Node)o;			
			for(Place place : this){
				if(place.getNode().equals(n))
					return true;
			}
		}
		return false;
	}

	
}
