/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.petrinetelements;

// TODO: Auto-generated Javadoc
/**
 * The listener interface for receiving transition events.
 * The class that is interested in processing a transition
 * event implements this interface, and the object created
 * with that class is registered with a component using the
 * component's <code>addTransitionListener<code> method. When
 * the transition event occurs, that object's appropriate
 * method is invoked.
 *
 * @author Kevin Pucknat
 */
public interface TransitionListener {
	
	/**
	 * Fire.
	 *
	 * @param transition the transition
	 */
	public void fire(Transition transition);
	
	/**
	 * Checks if is enabled.
	 *
	 * @param transition the transition
	 * @return true, if is enabled
	 */
	public boolean isEnabled(Transition transition);
}
