/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.petrinetelements.cpn;

import petri_jfern.cpn.StatementExpression;

// TODO: Auto-generated Javadoc
/**
 * The Class Expression.
 *
 * @author Kevin Pucknat
 */
public class Expression {
	
	/** The value. */
	private Object value;
	
	/** The stat. */
	private StatementExpression stat;
	
	/**
	 * Instantiates a new expression.
	 *
	 * @param expression the expression
	 */
	public Expression(String expression){
		String stat1 = "stat='";
		String stat2 = "' value";
		String val1 = "value='";
		String st = expression.substring(expression.indexOf(stat1)+stat1.length(), expression.indexOf(stat2));
		String val = expression.substring(expression.indexOf(val1)+val1.length(), expression.length()-1);
		stat = StatementExpression.valueOf(st);
		value = val;		
	}
	
	/**
	 * Instantiates a new expression.
	 *
	 * @param stat the stat
	 * @param value the value
	 */
	public Expression(StatementExpression stat, Object value) {
		this.stat = stat;
		this.value = value;	
	}
	
	/**
	 * Gets the string.
	 *
	 * @param s the s
	 * @return the string
	 */
	private void getString(StringBuilder s) {
		s.append("<expression>");		
		s.append(" stat='" + stat + "'");		
		s.append(" value='" + value.toString() + "'");
		s.append("</expression>");
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		StringBuilder s = new StringBuilder();
		getString(s);
		return s.toString();
	}

	/**
	 * Sets the value.
	 *
	 * @param value the new value
	 */
	public void setValue(Object value) {
		this.value = value;
	}
	
	/**
	 * Gets the value.
	 *
	 * @return the value
	 */
	public Object getValue() {
		return value;
	}
	
	/**
	 * Gets the statement.
	 *
	 * @return the statement
	 */
	public StatementExpression getStatement(){
		return stat;
	}	
	
	/**
	 * Checks if is value integer.
	 *
	 * @return true, if is value integer
	 */
	public boolean isValueInteger(){
		return java.util.regex.Pattern.matches("[0-9]{1,9}", value.toString());
	}
	
	/**
	 * Checks if is value double.
	 *
	 * @return true, if is value double
	 */
	public boolean isValueDouble(){		
		return java.util.regex.Pattern.matches("[0-9]+\\.{1}[0-9]+", value.toString());
	}
}
