/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.petrinetelements.cpn;

import petri_jfern.cpn.StatementGuard;

// TODO: Auto-generated Javadoc
/**
 * The Class Guard.
 *
 * @author Kevin Pucknat
 */
public class Guard {
	
	/** The value. */
	private Object value;
	
	/** The stat. */
	private StatementGuard stat;
	
	/**
	 * Instantiates a new guard.
	 *
	 * @param guard the guard
	 */
	public Guard(String guard){
		String stat1 = "stat='";
		String stat2 = "' value";
		String val1 = "value='";
		String st = guard.substring(guard.indexOf(stat1)+stat1.length(), guard.indexOf(stat2));
		String val = guard.substring(guard.indexOf(val1)+val1.length(), guard.length()-1);
		stat = StatementGuard.valueOf(st);
		value = val;		
	}
	
	/**
	 * Instantiates a new guard.
	 *
	 * @param stat the stat
	 * @param value the value
	 */
	public Guard(StatementGuard stat, Object value) {
		this.stat = stat;
		this.value = value;	
	}
	
	/**
	 * Gets the string.
	 *
	 * @param s the s
	 * @return the string
	 */
	private void getString(StringBuilder s) {
		s.append("<guard>");		
		s.append(" stat='" + stat + "'");		
		s.append(" value='" + value.toString() + "'");
		s.append("</guard>");
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		StringBuilder s = new StringBuilder();
		getString(s);
		return s.toString();
	}

	/**
	 * Sets the value.
	 *
	 * @param value the new value
	 */
	public void setValue(Object value) {
		this.value = value;
	}
	
	/**
	 * Gets the value.
	 *
	 * @return the value
	 */
	public Object getValue() {
		return value;
	}
	
	/**
	 * Gets the statement.
	 *
	 * @return the statement
	 */
	public StatementGuard getStatement(){
		return stat;
	}
}
