/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.petrinetelements.misc;

// TODO: Auto-generated Javadoc
/**
 * The Class HideArcWeight is a helper class for arc-weight hiding.
 *
 * @author Kevin Pucknat
 */
public class HideArcWeight {
	
	/** The value. */
	private boolean value;
	
	/**
	 * Instantiates a new hide arc weight.
	 *
	 * @param value the value
	 */
	public HideArcWeight(boolean value) {				
		this.value = value;	
	}

	/**
	 * Gets the string.
	 *
	 * @param s the s
	 * @return the string
	 */
	private void getString(StringBuilder s) {
		s.append("<hideArcWeight>");			
		s.append(" value='" + value + "'");
		s.append("</hideArcWeight>");
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		StringBuilder s = new StringBuilder();
		getString(s);
		return s.toString();
	}

	/**
	 * Sets the value.
	 *
	 * @param value the new value
	 */
	public void setValue(boolean value) {
		this.value = value;
	}
	
	/**
	 * Gets the value.
	 *
	 * @return the value
	 */
	public boolean getValue() {
		return value;
	}
}
