/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.validation;

import org.graffiti.graph.Node;

// TODO: Auto-generated Javadoc
/**
 * The Class MyNodes is a helper class for node validation.
 *
 * @author Kevin Pucknat
 */
public class MyNodes {
	
	/** The source. */
	private Node source;
	
	/** The target. */
	private Node target;

	
	/**
	 * Instantiates a new my nodes.
	 *
	 * @param source the source
	 * @param target the target
	 */
	public MyNodes(Node source, Node target){
		this.source = source;
		this.target = target;
	}
	
	/**
	 * Adds the nodes.
	 *
	 * @param source the source
	 * @param target the target
	 */
	public void addNode(Node source, Node target){
		this.source = source;
		this.target = target;
	}
	
	/**
	 * Gets the source node.
	 *
	 * @return the source node
	 */
	public Node getSourceNode(){			
		return source;
	}
	
	/**
	 * Gets the target node.
	 *
	 * @return the target node
	 */
	public Node getTargetNode(){			
		return target;
	}

		
	/**
	 * Checks if MyNodes contains this node.
	 *
	 * @param node the node
	 * @return true, if successful
	 */
	public boolean contains(Node node){		
		if(this.source!=null && this.target!=null && node!=null)
//			if(this.source.getID()==node.getID() || this.target.getID()==node.getID())
			if(this.source.equals(node) || this.target.equals(node))
				return true;
		
		return false;
	}
	
	/**
	 * Checks if MyNodes contains this source and target node.
	 *
	 * @param source the source
	 * @param target the target
	 * @return true, if successful
	 */
	public boolean contains(Node source, Node target){		
		if(this.source!=null && this.target!=null && source!=null && target!=null)
//			if(this.source.getID()==source.getID() && this.target.getID()==target.getID())
			if(this.source.equals(source) && this.target.equals(target))
				return true;
		
		return false;
	}

}
