/*************************************************************************************
* The Petri-Net Add-on is (c) 2012 Plant Bioinformatics Group, IPK Gatersleben,
* http://bioinformatics.ipk-gatersleben.de
* The source code for this project, is available under the GPL license v2.0 
* available at http://www.gnu.org/licenses/old-licenses/gpl-2.0.html. By using this
* Add-on and VANTED you need to accept the terms and conditions of this
* license. For further details see GPL_license.txt in the root folder of this project.
************************************************************************************/

package vanted.validation;

import java.util.ArrayList;

import org.graffiti.graph.Node;

// TODO: Auto-generated Javadoc
/**
 * The Class MyNodesArray is a helper class for node validation.
 *
 * @author Kevin Pucknat
 */
public class MyNodesArray extends ArrayList<MyNodes>{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Gets the nodes from the graph.
	 *
	 * @param source the source
	 * @param target the target
	 * @return the my nodes
	 */
	public MyNodes get(Node source, Node target){
		for(MyNodes myNode : this){
			if(myNode.contains(source, target))
				return myNode;
		}
		
		return null;
	}

	/**
	 * Checks if this array of nodes contains this node.
	 *
	 * @param node the node
	 * @return true, if successful
	 */
	public boolean contains(Node node){
		for(MyNodes myNode : this){
			if(myNode.contains(node))
				return true;
		}
		
		return false;
	}
	
	/**
	 * Checks if this array of nodes contains this source and target node.
	 *
	 * @param source the source
	 * @param target the target
	 * @return true, if successful
	 */
	public boolean contains(Node source, Node target){
		for(MyNodes myNode : this){
			if(myNode.contains(source, target))
				return true;
		}		
		return false;
	}
}
