/*************************************************************************************
* This file is based on the Pipe2 project (http://pipe2.sourceforge.net/).
* The source code for this project is available under the OSL license 3.0 available at
* http://www.opensource.org/licenses/osl-3.0.php. By using this file you need to accept
* the terms and conditions of this license. For further details see OSL_license.txt 
* in the root folder of this project.
************************************************************************************/

package pipe.analysis.reachability;

/**
 * @author Nadeem A simple class used to store arcs between states in the
 *         reachability graph. Used as elements in the linked list storing the
 *         arcs.
 */

//This file is based on the Pipe2 project (http://pipe2.sourceforge.net/).

public class ArcListElement {

	private final int tostate;
	private double rate;
	final int transitionNo;

	public ArcListElement(int to, double r, Integer t) {
		tostate = to;
		rate = r;
		transitionNo = t.intValue();
	}

	public int getTo() {
		return tostate;
	}

	public double getRate() {
		return rate;
	}

	public void setRate(double r) {
		rate = r;
	}

}
