/*************************************************************************************
* This file is based on the Pipe2 project (http://pipe2.sourceforge.net/).
* The source code for this project is available under the OSL license 3.0 available at
* http://www.opensource.org/licenses/osl-3.0.php. By using this file you need to accept
* the terms and conditions of this license. For further details see OSL_license.txt 
* in the root folder of this project.
************************************************************************************/

/*
 * Created on 23-Jul-2005
 */

package pipe.analysis.reachability;


/**
 * @author Nadeem
 * Used by StateSpaceGenerator class to represent an explored state during 
 * state space generation. Uses less memory than storing the entire state on the
 * explored states hashtable.
 */

//This file is based on the Pipe2 project (http://pipe2.sourceforge.net/).

class CompressedState {
   
   private final int hashCode2;
   private final int idnum;
   
   
   public CompressedState(int hc, int id){
      hashCode2 = hc;
      idnum = id;
   }
   
   
   public int getHashCode2(){
      return hashCode2;
   }
   
   
   public int getID(){
      return idnum;
   }
   
}
