/*************************************************************************************
* This file is based on the Pipe2 project (http://pipe2.sourceforge.net/).
* The source code for this project is available under the OSL license 3.0 available at
* http://www.opensource.org/licenses/osl-3.0.php. By using this file you need to accept
* the terms and conditions of this license. For further details see OSL_license.txt 
* in the root folder of this project.
************************************************************************************/

/*
 * Created on Mar 2, 2004
 */

package pipe.analysis.reachability;


/**
 * @author unespecified
 *
 * @author Nadeem
 * This class modified to make use of the new State class (01/07/2005)
 *
 * @author Matthew Worthington/Edwin Chung added a new attribute to include the 
 * information whether the state is tangible or vanishing. Appropriate 
 * constructors and methods are added/modified to check the equivalance of 
 * two markings.
 */

//This file is based on the Pipe2 project (http://pipe2.sourceforge.net/).

public class MarkingState 
        extends State {
   
   private int idnum;
   public static boolean isTangible;
   
   
   public MarkingState(State markingInput, int idInput) {
      super(markingInput);
      idnum = idInput;
   }
   
   public MarkingState(State markingInput, int idInput, boolean Tangible){
      super(markingInput);
      idnum = idInput;
      isTangible = Tangible;
   }
   
   
   public MarkingState(double[] markingInput, int idInput){
      super(markingInput);
      idnum = idInput;
   }
   
   
   public MarkingState(double[] markingInput, String idInput) {
      super(markingInput);
   }
   
   
   public double[] getMarking(){
      return getState();
   }
   
   
   public String getID(){
      return "M" + idnum;
   }
   
   
   public int getIDNum(){
      return idnum;
   }
   

   public boolean getIsTangible(){
      return isTangible;
   }
   
   
   public boolean equals (MarkingState m1){
      return (this.equals((State)m1) && (isTangible == isTangible));
   }   
   
}
