/*************************************************************************************
* This file is based on the Pipe2 project (http://pipe2.sourceforge.net/).
* The source code for this project is available under the OSL license 3.0 available at
* http://www.opensource.org/licenses/osl-3.0.php. By using this file you need to accept
* the terms and conditions of this license. For further details see OSL_license.txt 
* in the root folder of this project.
************************************************************************************/

/*
 * Created on 11-Jul-2005
 */

package pipe.analysis.reachability;

import java.util.ArrayList;


/**
 * @author Nadeem
 * Implements a Queue data structure.
 */

//This file is based on the Pipe2 project (http://pipe2.sourceforge.net/).

class Queue {
   
   private final ArrayList queueList;
   
   
   public Queue(){
      queueList = new ArrayList();
   }
   
   
   /**
    * enqueue()
    * Adds an object to the END of the queue.
    * @param object		The object to be queued
    */
   public void enqueue(Object object){
      queueList.add(object);
   }
   
   
   /**
    * dequeue()
    * Removes an object from the FRONT of the queue.
    * @return		The object removed from the queue
    */
   public Object dequeue(){
      Object temp = queueList.get(0);
      queueList.remove(0);
      return temp;
   }
   
   
   public boolean isEmpty(){
      return queueList.isEmpty();
   }
   
}
